Draft Layer/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 14: Line 14:
|Name=Draft Layer
|Name=Draft Layer
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|MenuLocation=Draft → Utilities → Layer
|MenuLocation=Utilities → Layer
|Version=0.19
|Version=0.19
|See also=[[Draft_VisGroup|Draft VisGroup]] (deprecated)
|SeeAlso=[[Draft_VisGroup|Draft VisGroup]] (deprecated)
}}
}}



Revision as of 10:14, 2 July 2021


Draft Layer

Menu location
Utilities → Layer
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.19
See also
Draft VisGroup (deprecated)

Description

The Draft Layer creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.

This tool replaces Draft VisGroup starting from FreeCAD 0.19.

Note: The BIM Workbench offers a complete layer manager tool, which will eventually be included in Draft.

Usage

  1. Go to the menu Draft → Utilities → Layer. This adds a new layer. If it is a the first layer, a Layers object will be created too, which contains all the layers.
  2. To add objects you can drag them into the layer. This will remove the objects from there original layer. If you want to have an object in several layers, e.g. to control the visibility of different sets of objects, you have to edit the Group property of the layer. Click the button occurring to the right and select/deselect the objects you want to have in or out of the layer.
  3. Change the desired view properties of the Layer.

Properties

  • DataGroup: specifies the elements that are part of the group.
  • Visual properties that can be changed that are propagated to the objects: ViewDrawing Style, ViewLine Color, ViewLine Width, ViewShape Color, ViewTransparency, and ViewVisibility.

Scripting

See also: FreeCAD Scripting Basics.

To add or remove objects from the layer, simply overwrite its Group attribute.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group